
import 'package:flutter/material.dart';
import 'package:persistent_bottom_nav_bar/persistent_tab_view.dart';

import '../../../widget/ListItem.dart';
import '../../settings/settings.dart';
import 'gradeAverages/gradeAverage.dart';
import 'holidays/holidays.dart';
import 'message/message.dart';
import 'roomplan/roomplan.dart';
import 'share/selectShareTypeDialog.dart';

class Overhang extends StatelessWidget {
  const Overhang({super.key});

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: AppBar(
        title: const Text("Mehr"),
        actions: [
          IconButton(onPressed: () => PersistentNavBarNavigator.pushNewScreen(context, screen: const Settings(), withNavBar: false), icon: const Icon(Icons.settings))
        ],
      ),
      body: ListView(
        children: [
          const ListItemNavigator(icon: Icons.newspaper, text: "Marianum Message", target: Message()),
          const ListItemNavigator(icon: Icons.room, text: "Raumplan", target: Roomplan()),
          const ListItemNavigator(icon: Icons.calculate, text: "Notendurschnittsrechner", target: GradeAverage()),
          const ListItemNavigator(icon: Icons.calendar_month, text: "Schulferien", target: Holidays()),
          const Divider(),
          ListTile(
            leading: const Icon(Icons.share_outlined),
            title: const Text("Teile die App"),
            trailing: const Icon(Icons.arrow_right),
            onTap: () => showDialog(context: context, builder: (context) => const SelectShareTypeDialog())
          ),
        ],
      ),
    );
  }
}
